await seam.thermostats.schedules.get({
thermostat_schedule_id: "408f3f85-11ae-4111-bec1-0f2408a2b218",
});
/*
{
"climate_preset_key": "Occupied",
"created_at": "2025-06-14T16:54:17.946316Z",
"device_id": "dc1dfc4b-8082-453f-a953-276941af8650",
"ends_at": "2025-07-14T16:54:17.946313Z",
"errors": [],
"is_override_allowed": true,
"max_override_period_minutes": 90,
"name": "Jane's Stay",
"starts_at": "2025-07-12T16:54:17.946313Z",
"thermostat_schedule_id": "408f3f85-11ae-4111-bec1-0f2408a2b218",
"workspace_id": "58419b36-6103-44e5-aa83-2163e90cce01"
}
*/{
"thermostat_schedule": {
"climate_preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_at": "2023-11-07T05:31:56Z",
"errors": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"message": "<string>"
}
],
"name": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"thermostat_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_override_allowed": true,
"max_override_period_minutes": 1
}
}Schedules
Get a Thermostat Schedule
Returns a specified thermostat schedule.
GET
/
thermostats
/
schedules
/
get
await seam.thermostats.schedules.get({
thermostat_schedule_id: "408f3f85-11ae-4111-bec1-0f2408a2b218",
});
/*
{
"climate_preset_key": "Occupied",
"created_at": "2025-06-14T16:54:17.946316Z",
"device_id": "dc1dfc4b-8082-453f-a953-276941af8650",
"ends_at": "2025-07-14T16:54:17.946313Z",
"errors": [],
"is_override_allowed": true,
"max_override_period_minutes": 90,
"name": "Jane's Stay",
"starts_at": "2025-07-12T16:54:17.946313Z",
"thermostat_schedule_id": "408f3f85-11ae-4111-bec1-0f2408a2b218",
"workspace_id": "58419b36-6103-44e5-aa83-2163e90cce01"
}
*/{
"thermostat_schedule": {
"climate_preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_at": "2023-11-07T05:31:56Z",
"errors": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"message": "<string>"
}
],
"name": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"thermostat_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_override_allowed": true,
"max_override_period_minutes": 1
}
}Authorizations
client_sessionpat_with_workspaceconsole_session_with_workspaceapi_keysupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the thermostat schedule that you want to get.
Response
OK
Represents a thermostat schedule that activates a configured climate preset on a thermostat at a specified starting time and deactivates the climate preset at a specified ending time. See the thermostat_schedule object.
Show child attributes
Show child attributes
Was this page helpful?